Asset Update asset metadata
PUT
/control-plane/api/v1/v1/documentation/{organization_id}/{documentation_id}/asset/{asset_id}

Authentication

API Key (BearerAuth)

  • Header: Authorization

Path Parameters

organization_idstringrequired

Organization ID


documentation_idstringrequired

Documentation ID


asset_idstringrequired

Asset ID


Request Body

Asset update input

Required

altstring

namestring

Example:

{
  "alt": "string",
  "name": "string"
}

Responses

200
OK

Response Fields:

  • alt (string)

  • created_at (string)

  • documentation_id (string)

  • height (integer)

  • id (string)

  • mime_type (string)

  • name (string)

  • original_name (string)

  • size (integer)

  • type (string)

  • updated_at (string)

  • url (string)

  • width (integer)

Example:

{
  "alt": "string",
  "created_at": "string",
  "documentation_id": "string",
  "height": 0,
  "id": "string",
  "mime_type": "string",
  "name": "string",
  "original_name": "string",
  "size": 0,
  "type": "image",
  "updated_at": "string",
  "url": "string",
  "width": 0
}
400
Bad Request

Example:

{
  "key": "value"
}
500
Internal Server Error

Example:

{
  "key": "value"
}